diff -urP ../SOURCES.orig/openjade-macrocat.patch ./openjade-macrocat.patch
--- ../SOURCES.orig/openjade-macrocat.patch	Wed Dec 31 19:00:00 1969
+++ ./openjade-macrocat.patch	Sat Jan 20 21:36:35 2007
@@ -0,0 +1,47 @@
+--- grove/Node.cxx.orig	Wed Jan 17 23:08:04 2007
++++ grove/Node.cxx	Wed Jan 17 23:09:16 2007
+@@ -477,7 +477,7 @@
+       ret = getEntityType(type);
+       if (ret == accessOK) {
+ 	switch (type) {
+-#define ENUM(e, E) case EntityType::##e: value.set(ComponentName::id##E); break;
++#define ENUM(e, E) case EntityType::e: value.set(ComponentName::id##E); break;
+ 	  ENUM(text, Text)
+ 	  ENUM(cdata, Cdata)
+ 	  ENUM(sdata, Sdata)
+@@ -497,7 +497,7 @@
+       ret = getDeclValueType(type);
+       if (ret == accessOK) {
+ 	switch (type) {
+-#define ENUM(e, E) case DeclValueType::##e: value.set(ComponentName::id##E); break;
++#define ENUM(e, E) case DeclValueType::e: value.set(ComponentName::id##E); break;
+ 	ENUM(cdata, Cdata)
+         ENUM(entity, Entity)
+         ENUM(entities, Entities)
+@@ -527,7 +527,7 @@
+       ret = getDefaultValueType(type);
+       if (ret == accessOK) {
+ 	switch (type) {
+-#define ENUM(e, E) case DefaultValueType::##e: value.set(ComponentName::id##E); break;
++#define ENUM(e, E) case DefaultValueType::e: value.set(ComponentName::id##E); break;
+         ENUM(value, Value)
+         ENUM(fixed, Fixed)
+         ENUM(required, Required)
+@@ -547,7 +547,7 @@
+       ret = getContentType(type);
+       if (ret == accessOK) {
+ 	switch (type) {
+-#define ENUM(e, E) case ContentType::##e: value.set(ComponentName::id##E); break;
++#define ENUM(e, E) case ContentType::e: value.set(ComponentName::id##E); break;
+         ENUM(cdata, Cdata)
+         ENUM(rcdata, Rcdata)
+         ENUM(empty, Empty)
+@@ -566,7 +566,7 @@
+       ret = getConnector(type);
+       if (ret == accessOK) {
+ 	switch (type) {
+-#define ENUM(e, E) case Connector::##e: value.set(ComponentName::id##E); break;
++#define ENUM(e, E) case Connector::e: value.set(ComponentName::id##E); break;
+         ENUM(and_, And)
+         ENUM(or_, Or)
+         ENUM(seq, Seq)
diff -urP ../SOURCES.orig/openjade-stdnamespace.patch ./openjade-stdnamespace.patch
--- ../SOURCES.orig/openjade-stdnamespace.patch	Wed Dec 31 19:00:00 1969
+++ ./openjade-stdnamespace.patch	Sun Jan 21 17:01:05 2007
@@ -0,0 +1,12 @@
+--- include/config.h.orig	Sun Jan 21 16:57:40 2007
++++ include/config.h	Sun Jan 21 16:58:27 2007
+@@ -29,6 +29,9 @@
+ #define SP_NO_STD_NAMESPACE
+ #undef SP_NEW_H_MISSING
+ #endif
++#if __GNUC__ == 3
++#undef SP_NO_STD_NAMESPACE
++#endif
+ 
+ #endif /* __GNUG__ */
+ 
diff -urP ../SOURCES.orig/openjade-template-compile.patch ./openjade-template-compile.patch
--- ../SOURCES.orig/openjade-template-compile.patch	Wed Dec 31 19:00:00 1969
+++ ./openjade-template-compile.patch	Sat Jan 20 21:36:35 2007
@@ -0,0 +1,58 @@
+--- include/Attribute.h.orig	Sat Jan 20 20:18:09 2007
++++ include/Attribute.h	Sat Jan 20 21:09:16 2007
+@@ -31,6 +31,27 @@
+ class AttributeContext;
+ class Syntax;
+ 
++class SP_API AttributeValue : public Resource {
++public:
++  enum Type {
++    implied,
++    cdata,
++    tokenized
++    };
++  AttributeValue();
++  virtual ~AttributeValue();
++  virtual AttributeSemantics *makeSemantics(const DeclaredValue *,
++					    AttributeContext &,
++					    const StringC &,
++					    unsigned &,
++					    unsigned &) const;
++  virtual Type info(const Text *&, const StringC *&) const = 0;
++  virtual const Text *text() const;
++  virtual Boolean recoverUnquoted(const StringC &, const Location &,
++				  AttributeContext &, const StringC &);
++  static Boolean handleAsUnterminated(const Text &, AttributeContext &);
++};
++
+ class SP_API AttributeDefinitionDesc {
+ public:
+   AttributeDefinitionDesc() { }
+@@ -371,27 +392,6 @@
+   AttributeSemantics *copy() const;
+ private:
+   ConstPtr<Notation> notation_;
+-};
+-
+-class SP_API AttributeValue : public Resource {
+-public:
+-  enum Type {
+-    implied,
+-    cdata,
+-    tokenized
+-    };
+-  AttributeValue();
+-  virtual ~AttributeValue();
+-  virtual AttributeSemantics *makeSemantics(const DeclaredValue *,
+-					    AttributeContext &,
+-					    const StringC &,
+-					    unsigned &,
+-					    unsigned &) const;
+-  virtual Type info(const Text *&, const StringC *&) const = 0;
+-  virtual const Text *text() const;
+-  virtual Boolean recoverUnquoted(const StringC &, const Location &,
+-				  AttributeContext &, const StringC &);
+-  static Boolean handleAsUnterminated(const Text &, AttributeContext &);
+ };
+ 
+ class SP_API ImpliedAttributeValue : public AttributeValue {
diff -urP ../SOURCES.orig/openjade.spec ./openjade.spec
--- ../SOURCES.orig/openjade.spec	Fri Jun 15 09:52:32 2001
+++ ./openjade.spec	Sun Jan 21 17:03:13 2007
@@ -13,6 +13,9 @@
 Patch5: openjade-1.3-lt.patch
 Patch6: http://indev.insu.com/openjade/openjade-1.3.patch
 Patch7: openjade-1.3-ligature.patch
+Patch8: openjade-macrocat.patch
+Patch9: openjade-template-compile.patch
+Patch10: openjade-stdnamespace.patch
 Copyright: Copyright 1997 James Clark
 Group: Applications/Text
 BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
@@ -41,6 +44,9 @@
 %patch5 -p1 -b .lt
 %patch6 -p1
 %patch7 -p1 -b .ligature
+%patch8
+%patch9
+%patch10
 
 %build
 
